// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: FrustrationRecognizer.java,v 1.4 2003/03/06 00:40:47 moltmans Exp $
// QuitUtteranceRecognizer.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Maintainer: Michael Oltmans <moltmans@ai.mit.edu> 
// Copyright: Copyright (C) 1999 by Michael Oltmans 
// Created: <Thu Aug 19 18:14:23 1999> 
// Time-stamp: <2000-03-06 22:14:20 moltmans> 
// Keywords: 

package rec.core.speech;

import java.util.*;

import rec.speech.*;
import rec.sys.*;
import rec.util.*;

public class FrustrationRecognizer extends SimpleUtteranceRecognizer
{
  public FrustrationRecognizer()
  {
    super( "frustrated" );
  }

  public void performAction( Surface s, Object arg )
  {
    Console.writeln( "====================" );
    Console.writeln( "I'm really sorry :-(" );
    Console.writeln( "====================" );
    PhraseIO.say( "I'm really sorry." );
  }

  public void performUndo( Surface s, Object arg )
  {
  }
}

